## mlt 0.7.8

=== src/modules/qimage/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltqimage$(LIBSUF)

OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
CPPOBJS = qimage_wrapper.o \
	kdenlivetitle_wrapper.o \
	transition_vqm.o

CXXFLAGS += $(CFLAGS) $(QTCXXFLAGS) $(EXIFCXXFLAGS) -Wno-deprecated

LDFLAGS += $(QTLIBS) $(EXIFLIBS)

ifdef USE_KDE
LDFLAGS += -lkio
endif

SRCS := $(OBJS:.o=.c) $(CPPOBJS:.o=.cpp)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(CPPOBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(CPPOBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend config.h config.mak

clean:	
		rm -f $(OBJS) $(TARGET) $(CPPOBJS)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/qimage"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/qimage"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.7.8-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changed needed).
  * Override lintian warnings about no-symbols-control-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Feb 2012 19:36:31 +0100

mlt (0.7.8-1) unstable; urgency=low

  * New upstream release.
    - Drop all patches.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 15 Feb 2012 21:56:48 +0100

=== debian/control ===
Source: mlt
Priority: optional
Maintainer: Fathi Boudra <fabo@debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 ffmpeg,
 kdelibs5-dev,
 ladspa-sdk,
 libavdevice-dev,
 libavformat-dev,
 libdv4-dev,
 libgtk2.0-dev,
 libjack-dev,
 libquicktime-dev [!hurd-i386],
 libsamplerate-dev,
 libsdl1.2-dev,
 libsox-dev (>= 14.3.0),
 libswscale-dev,
 libvorbis-dev,
 libxine-dev,
 libxml2-dev,
 imagemagick,
 frei0r-plugins-dev,
 swig,
 hardening-wrapper,
 python-all-dev (>= 2.6.6-3~)
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.mltframework.org

Package: libmlt-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libmlt4 (= ${binary:Version})
Description: multimedia framework (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework.

Package: libmlt4
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libmlt-data (>= ${source:Version})
Conflicts: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3
Replaces: libmlt0.2,
 libmlt0.2.5,
 libmlt1,
 libmlt2,
 libmlt3
Description: multimedia framework (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework.

Package: libmlt-data
Architecture: all
Depends: ${misc:Depends}
Enhances: libmlt4
Description: multimedia framework (data)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the data files for the MLT multimedia framework.

Package: libmlt++-dev
Section: libdevel
Architecture: any
Depends: libmlt++3 (= ${binary:Version}),
 ${misc:Depends}
Description: MLT multimedia framework C++ wrapper (development)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the static libraries and headers for developing
 applications that use the MLT multimedia framework C++ wrapper.

Package: libmlt++3
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libmlt++0.2,
 libmlt++2
Replaces: libmlt++0.2,
 libmlt++2
Description: MLT multimedia framework C++ wrapper (runtime)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the files necessary for running applications that
 use the MLT multimedia framework C++ wrapper.

Package: libmlt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt4 (= ${binary:Version}),
 libmlt++3 (= ${binary:Version})
Description: multimedia framework (debugging symbols)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the debugging symbols for libmlt++ and libmlt

Package: melt
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmlt-data (>= ${source:Version})
Description: command line media player and video editor
 melt was meant as a test tool for the MLT framework, but it is also a powerful
 multitrack command line oriented video editor. It could also used as an
 minimalistic media player for audio and video files.

Package: python-mlt3
Architecture: any
Section: python
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Conflicts: python-mlt2
Replaces: python-mlt2
Description: multimedia framework (python bindings)
 MLT is an open source multimedia framework, designed and developed for
 television broadcasting. It provides a toolkit for broadcasters, video
 editors, media players, transcoders, web streamers and many more types of
 applications. The functionality of the system is provided via an assortment
 of ready to use tools, xml authoring components, and an extendible plug-in
 based API.
 .
 This package contains the Python bindings for the mlt package.

## mlt 0.7.8+git20120417

=== src/swig/Makefile ===
include ../../config.mak
include config.mak

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		if [ -x $$subdir/build -a ! -f .$$subdir -o $@ = clean ] ; \
		then echo -n Building $$subdir... ; \
			cd $$subdir && output=`./build $@ 2>&1` ; \
			if [ $$? -eq 0 ] ; \
			then echo OK && touch ../.$$subdir ; \
			else echo $$output && exit 1 ; \
			fi ; \
			cd .. ; \
			if [ -f $$subdir/Makefile -a -f .$$subdir ] ; \
			then $(MAKE) -C $$subdir $@ || exit 1 ; \
			fi ; \
			if [ $@ = clean ] ; \
			then rm -f .$$subdir ; \
			fi ; \
		fi \
	done

distclean: clean

depend:

install:

uninstall:

=== src/modules/decklink/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdecklink$(LIBSUF)

OBJS = consumer_decklink.o \
	producer_decklink.o

ifeq ($(targetos), MinGW)
OBJS += DeckLinkAPI_i.o
LDFLAGS += -lole32
else
OBJS += DeckLinkAPIDispatch.o
endif

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

LDFLAGS += $(LIBDL)

all: 	$(TARGET)
	
$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/decklink"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/decklink"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltdecklink$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/decklink"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/dgraft/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltdgraft$(LIBSUF)

OBJS = factory.o \
	   filter_telecide.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/effectv/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmlteffectv$(LIBSUF)

OBJS = factory.o \
	   filter_burn.o \
	   image.o \
	   utils.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/effectv"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/effectv"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/gtk2/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltgtk2$(LIBSUF)

OBJS = factory.o

ifdef USE_GTK2
OBJS += consumer_gtk2.o
CFLAGS += `pkg-config gtk+-2.0 --cflags`
LDFLAGS += `pkg-config gtk+-2.0 --libs`
endif

ifdef USE_PIXBUF
OBJS += producer_pixbuf.o pixops.o filter_rescale.o
CFLAGS += `pkg-config gdk-pixbuf-2.0 --cflags`
LDFLAGS += `pkg-config gdk-pixbuf-2.0 --libs`
endif

ifdef USE_EXIF
CFLAGS += $(EXIFCXXFLAGS) 
LDFLAGS += $(EXIFLIBS)
endif

ifdef MMX_FLAGS
ifndef ARCH_X86_64
ASM_OBJS = have_mmx.o scale_line_22_yuv_mmx.o
endif
endif

ifdef USE_PANGO
OBJS += producer_pango.o
OBJS += filter_dynamictext.o
CFLAGS += `pkg-config pangoft2 --cflags`
LDFLAGS += `pkg-config pangoft2 --libs`
ifeq ($(targetos),Darwin)
LDFLAGS += -liconv
endif
ifeq ($(targetos),FreeBSD)
LDFLAGS += -liconv
endif
ifeq ($(targetos), MinGW)
LDFLAGS += -liconv
endif
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

have_mmx.o:
	$(CC) -o $@ -c have_mmx.S

scale_line_22_yuv_mmx.o: scale_line_22_yuv_mmx.S
	$(CC) -o $@ -c scale_line_22_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/gtk2"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/gtk2"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/jackrack/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltjackrack$(LIBSUF)

GPL_OBJS = jack_rack.o \
	lock_free_fifo.o \
	plugin.o \
	plugin_desc.o \
	plugin_mgr.o \
	plugin_settings.o \
	process.o \
	filter_jackrack.o \
	filter_ladspa.o

OBJS = factory.o \
	   consumer_jack.o

CFLAGS += `pkg-config --cflags jack`
LDFLAGS += `pkg-config --libs jack`

ifdef GPL
OBJS += $(GPL_OBJS)
CFLAGS += -DGPL
CFLAGS += `pkg-config --cflags libxml-2.0`
CFLAGS += `pkg-config --cflags glib-2.0`

LDFLAGS += $(LIBDL)
LDFLAGS += `pkg-config --libs libxml-2.0`
LDFLAGS += `pkg-config --libs glib-2.0`
LDFLAGS += -lm

YML_FILES = *.yml
BLACKLIST = blacklist.txt
else
YML_FILES = consumer_jack.yml
BLACKLIST = dummy
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/jackrack"
	install -m 644 $(YML_FILES) "$(DESTDIR)$(datadir)/mlt/jackrack"
	[ -f $(BLACKLIST) ] && install -m 644 $(BLACKLIST) "$(DESTDIR)$(datadir)/mlt/jackrack" || true

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltjackrack$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/jackrack"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/kdenlive/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt

include ../../../config.mak

TARGET = ../libmltkdenlive$(LIBSUF)

OBJS = factory.o \
	   filter_boxblur.o \
	   filter_freeze.o \
	   filter_wave.o \
	   producer_framebuffer.o


LDFLAGS += -lm

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/kdenlive"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/kdenlive"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/motion_est/Makefile ===
CFLAGS += -I../.. 

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmltmotion_est$(LIBSUF)

OBJS = factory.o \
	   filter_motion_est.o \
	   filter_crop_detect.o \
	   filter_autotrack_rectangle.o \
	   arrow_code.o \
	   filter_vismv.o \
	   producer_slowmotion.o

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/motion_est"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/motion_est"

test: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter vismv -filter benchmark -consumer sdl rescale=none real_time=0 audio_off=1 silent=1 /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=50000

hist: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter histogram -consumer sdl rescale=none real_time=0 audio_off=1 silent=1 /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=40000


test2: $(TARGET)
	melt colour:black -filter watermark:"+mello.txt" composite.geometry="0/0:10%x10%;99=90%/90%" composite.out=99 -filter crop_detect -filter motion_est -filter vismv

realtime: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -filter motion_est -filter vismv -consumer sdl rescale=none /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=30000

testhist: $(TARGET)
	~/mlt-devel/mlt/src/melt/melt -consumer sdl rescale=none silent=1 -filter motion_est -filter histogram  -filter vismv /media/cdrecorder/BBC.The.Private.Life.Of.Plants.Pt5.Living.Together.DivX505.AC3.www.MVGroup.org.uk.avi in=10000


ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/normalize/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak

TARGET = ../libmltnormalize$(LIBSUF)

OBJS = factory.o \
	   filter_volume.o 

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/normalize"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/normalize"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/rtaudio/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltrtaudio$(LIBSUF)

OBJS = consumer_rtaudio.o \
	RtAudio.o

SRCS := $(OBJS:.o=.cpp)

CXXFLAGS += $(CFLAGS) -Wno-deprecated -Wno-multichar -fno-rtti

ifeq ($(targetos), Darwin)
CXXFLAGS += -D__MACOSX_CORE__
LDFLAGS += -framework CoreAudio -framework CoreFoundation
else ifeq ($(targetos), MinGW)
CXXFLAGS += -D__WINDOWS_DS__
LDFLAGS += -lole32 -ldsound -lwinmm
# For ASIO when ready to try that:
#OBJS += asio.o asiodrivers.o asiolist.o iasiothiscallresolver.o
#CXXFLAGS +=-D__WINDOWS_ASIO__
else ifeq ($(targetos), Linux)
CXXFLAGS += -D__LINUX_ALSA__
CXXFLAGS += `pkg-config --cflags alsa`
LDFLAGS += `pkg-config --libs alsa`
else ifeq ($(targetos), NetBSD)
CXXFLAGS += -D__LINUX_OSS__
LDFLAGS += -lossaudio
else # FreeBSD
CXXFLAGS += -D__LINUX_OSS__
endif

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CXX) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CXX) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	#install -d "$(DESTDIR)$(datadir)/mlt/rtaudio"
	#install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/rtaudio"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltrtaudio$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/rtaudio"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/sdl/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread -lm

include ../../../config.mak

include config.mak

TARGET = ../libmltsdl$(LIBSUF)

OBJS = factory.o \
	   consumer_sdl.o \
	   consumer_sdl_audio.o \
	   consumer_sdl_preview.o \
	   consumer_sdl_still.o 

ifeq ($(targetos),Darwin)
CFLAGS += -ObjC
LDFLAGS += -lobjc -framework Foundation
else ifneq ($(targetos), MinGW)
LDFLAGS += -lX11
endif

CFLAGS += `sdl-config --cflags`

LDFLAGS += `sdl-config --libs`

ifeq ($(WITH_SDL_IMAGE),1)
OBJS += producer_sdl_image.o
CFLAGS += -DWITH_SDL_IMAGE
LDFLAGS += -lSDL_image
endif

SRCS := $(OBJS:.o=.c)
ifeq ($(targetos),Darwin)
OBJS += consumer_sdl_osx.o
SRCS += consumer_sdl_osx.m consumer_sdl_osx.h
endif

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/sdl"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/sdl"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/swfdec/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm

include ../../../config.mak
include config.mak

TARGET = ../libmltswfdec$(LIBSUF)

OBJS = producer_swfdec.o

ifeq ($(targetos), MinGW)
LDFLAGS += -enable-auto-import -lz
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/swfdec"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/swfdec"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.7.8+git20120417-1) unstable; urgency=low

  * New upstream git snapshot.
  * Disable rtaudio consumer.
    Closes: #668893

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Apr 2012 20:10:59 +0200

mlt (0.7.8+git20120409-1) unstable; urgency=low

  * New upstream git snapshot.
    - Rendering problems introduced with 0.7.8 are gone.
      Closes: #664786
  * Build with --enable-gpl3 and add copyright notices about the transition_vqm
    module.
  * Bump SONAME of libmlt and python-mlt to 5.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 09 Apr 2012 14:27:09 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libmlt4 (= ${binary:Version})
+ libmlt5 (= ${binary:Version})
 Description: multimedia framework (development)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -44,7 +44,7 @@
  This package contains the static libraries and headers for developing
  applications that use the MLT multimedia framework.
 
-Package: libmlt4
+Package: libmlt5
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends}
@@ -53,12 +53,14 @@
  libmlt0.2.5,
  libmlt1,
  libmlt2,
- libmlt3
+ libmlt3,
+ libmlt4
 Replaces: libmlt0.2,
  libmlt0.2.5,
  libmlt1,
  libmlt2,
- libmlt3
+ libmlt3,
+ libmlt4
 Description: multimedia framework (runtime)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -73,7 +75,7 @@
 Package: libmlt-data
 Architecture: all
 Depends: ${misc:Depends}
-Enhances: libmlt4
+Enhances: libmlt5
 Description: multimedia framework (data)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video
@@ -125,7 +127,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libmlt4 (= ${binary:Version}),
+ libmlt5 (= ${binary:Version}),
  libmlt++3 (= ${binary:Version})
 Description: multimedia framework (debugging symbols)
  MLT is an open source multimedia framework, designed and developed for
@@ -148,15 +150,17 @@
  multitrack command line oriented video editor. It could also used as an
  minimalistic media player for audio and video files.
 
-Package: python-mlt3
+Package: python-mlt5
 Architecture: any
 Section: python
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends}
 Provides: ${python:Provides}
-Conflicts: python-mlt2
-Replaces: python-mlt2
+Conflicts: python-mlt2,
+ python-mlt3
+Replaces: python-mlt2,
+ python-mlt3
 Description: multimedia framework (python bindings)
  MLT is an open source multimedia framework, designed and developed for
  television broadcasting. It provides a toolkit for broadcasters, video

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

# Enable MMX and SSE on amd64 architecture
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "amd64"))
	EXTRA_CONFIGURE_OPTS += --enable-mmx --enable-sse
else
	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
endif

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-gpl \
	--enable-gpl3 \
	--enable-motion_est \
	$(EXTRA_CONFIGURE_OPTS) \
	--avformat-shared=/usr \
	--avformat-swscale \
	--luma-compress \
	--swig-languages=python \
	--qimage-libdir=/usr/lib \
	--disable-rtaudio \
	--disable-swfdec

PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean
	rm -f config.log *.pc src/modules/gtk2/config.h
	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete

override_dh_install:
	mkdir -p debian/python-mlt5/$(PYTHON_DIR)
	install -m 644 src/swig/python/mlt.py debian/python-mlt5/$(PYTHON_DIR)/mlt.py
	install -m 644 src/swig/python/_mlt.so debian/python-mlt5/$(PYTHON_DIR)/_mlt.so
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libmlt-dbg

override_dh_python2:
	dh_python2 --no-guessing-versions

## mlt 0.8.0

=== Makefile ===
SUBDIRS = src/framework \
		  src/mlt++ \
		  src/melt \
		  src/modules \
		  src/swig \
		  profiles

all clean:
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -s -C $$subdir depend || exit 1; \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done

distclean:
	rm mlt-config packages.dat; \
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) -C $$subdir $@ || exit 1; \
	done; \
	rm config.mak;

dist-clean: distclean

include config.mak

install:
	install -d "$(DESTDIR)$(prefix)/bin"
	install -d "$(DESTDIR)$(prefix)/include"
	install -d "$(DESTDIR)$(libdir)"
	install -d "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(libdir)/pkgconfig"
	install -d "$(DESTDIR)$(prefix)/share/mlt"
	install -c -m 644 *.pc "$(DESTDIR)$(libdir)/pkgconfig"
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	cp -R presets "$(DESTDIR)$(prefix)/share/mlt"

uninstall:
	rm -f "$(DESTDIR)$(bindir)"/mlt-config
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt-framework.pc
	rm -f "$(DESTDIR)$(libdir)"/pkgconfig/mlt++.pc
	list='$(SUBDIRS)'; \
	for subdir in $$list; do \
		$(MAKE) DESTDIR=$(DESTDIR) -C $$subdir $@ || exit 1; \
	done
	rm -rf "$(DESTDIR)$(prefix)/include/mlt"
	rm -rf "$(DESTDIR)$(prefix)/share/mlt"

dist:
	git archive --format=tar --prefix=mlt-$(version)/ v$(version) | gzip >mlt-$(version).tar.gz

validate-yml:
	for file in `find src/modules -type f -name \*.yml`; do \
		echo "validate: $$file"; \
		kwalify -f src/framework/metaschema.yaml $$file || exit 1; \
	done

=== src/framework/Makefile ===
include ../../config.mak
include config.mak

NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)

ifeq ($(targetos), Darwin)
NAME = libmlt$(LIBSUF)
TARGET = libmlt.$(version)$(LIBSUF)
SONAME = libmlt.$(soversion)$(LIBSUF)
SHFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt$(LIBSUF)
TARGET = libmlt-$(soversion)$(LIBSUF)
SHFLAGS += -Wl,--output-def,libmlt.def
else
NAME = libmlt$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
SHFLAGS += -Wl,-soname,$(SONAME)
	ifeq ($(targetos), FreeBSD)
		ifdef HAVE_SYS_PARAM_H
			CFLAGS += -DHAVE_SYS_PARAM_H
		endif
	endif
endif

OBJS = mlt_frame.o \
	   mlt_version.o \
	   mlt_geometry.o \
	   mlt_deque.o \
	   mlt_property.o \
	   mlt_properties.o \
	   mlt_events.o \
	   mlt_parser.o \
	   mlt_service.o \
	   mlt_producer.o \
	   mlt_multitrack.o \
	   mlt_playlist.o \
	   mlt_consumer.o \
	   mlt_filter.o \
	   mlt_transition.o \
	   mlt_field.o \
	   mlt_tractor.o \
	   mlt_factory.o \
	   mlt_repository.o \
	   mlt_pool.o \
	   mlt_tokeniser.o \
	   mlt_profile.o \
	   mlt_log.o \
	   mlt_cache.o

INCS = mlt_consumer.h \
	   mlt_version.h \
	   mlt_factory.h \
	   mlt_filter.h \
	   mlt.h \
	   mlt_multitrack.h \
	   mlt_pool.h \
	   mlt_properties.h \
	   mlt_events.h \
	   mlt_parser.h \
	   mlt_repository.h \
	   mlt_tractor.h \
	   mlt_types.h \
	   mlt_deque.h \
	   mlt_field.h \
	   mlt_frame.h \
	   mlt_geometry.h \
	   mlt_playlist.h \
	   mlt_producer.h \
	   mlt_property.h \
	   mlt_service.h  \
	   mlt_transition.h \
	   mlt_tokeniser.h \
	   mlt_profile.h \
	   mlt_log.h \
	   mlt_cache.h

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
OBJS += ../win32/win32.o
SRCS += ../win32/win32.c
endif

CFLAGS += $(RDYNAMIC) -DPREFIX="\"$(prefix)\"" -DLIBDIR="\"$(libdir)\"" -DMLTDATADIR="\"$(datadir)\""

LDFLAGS += $(LIBDL) -lpthread

all:	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)
		ln -sf $(TARGET) $(NAME)
		if [ "$(targetos)" != "MinGW" ]; then \
			ln -sf $(TARGET) $(SONAME) ; \
		fi

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET) $(NAME) $(SONAME)

install:
	install -d $(DESTDIR)$(libdir)
	if [ "$(targetos)" = "MinGW" ]; then \
		install -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt.dll ; \
		install -m 644 libmlt.def $(DESTDIR)$(libdir) ; \
	else \
		install -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	install -d "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -m 644 $(INCS) "$(DESTDIR)$(prefix)/include/mlt/framework"
	install -d "$(DESTDIR)$(datadir)/mlt"
	install -m 644 metaschema.yaml "$(DESTDIR)$(datadir)/mlt/"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt/framework"
	rm -f "$(DESTDIR)$(datadir)/mlt/metaschema.yaml"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/melt/Makefile ===
include ../../config.mak
include config.mak

OBJS = melt.o \
	   io.o

CFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt -lpthread

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
CFLAGS += `sdl-config --cflags`
LDFLAGS += `sdl-config --libs`
bindir = $(prefix)
endif

all: $(TARGET)

$(TARGET): $(OBJS)
		$(CC) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install:	all
	install -d "$(DESTDIR)$(bindir)"
	install -c -m 755 $(TARGET) "$(DESTDIR)$(bindir)"

uninstall:
	rm -f "$(DESTDIR)$(bindir)/$(TARGET)"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/mlt++/Makefile ===
include ../../config.mak
include config.mak
INSTALL = install

ifeq ($(targetos), Darwin)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++.$(version)$(LIBSUF)
SONAME = libmlt++.$(soversion)$(LIBSUF)
LIBFLAGS += -install_name $(libdir)/$(SONAME) -current_version $(version) -compatibility_version $(soversion)
else ifeq ($(targetos), MinGW)
NAME = libmlt++$(LIBSUF)
TARGET = libmlt++-$(soversion)$(LIBSUF)
CXXFLAGS += -DMLTPP_EXPORTS
LIBFLAGS += -Wl,--output-def,libmlt++.def
else
NAME = libmlt++$(LIBSUF)
TARGET = $(NAME).$(version)
SONAME = $(NAME).$(soversion)
LIBFLAGS += -Wl,-soname,$(SONAME)
endif

CXXFLAGS += -I.. $(RDYNAMIC) -DVERSION=\"$(version)\"

LDFLAGS += -L../framework -lmlt

OBJS = MltConsumer.o \
	   MltDeque.o \
	   MltEvent.o \
	   MltFactory.o \
	   MltField.o \
	   MltFilter.o \
	   MltFilteredConsumer.o \
	   MltFilteredProducer.o \
	   MltFrame.o \
	   MltGeometry.o \
	   MltMultitrack.o \
	   MltParser.o \
	   MltPlaylist.o \
	   MltProducer.o \
	   MltProfile.o \
	   MltProperties.o \
	   MltPushConsumer.o \
	   MltRepository.o \
	   MltService.o \
	   MltTokeniser.o \
	   MltTractor.o \
	   MltTransition.o

SRCS = $(OBJS:.o=.cpp)
HEADERS = config.h Mlt.h $(OBJS:.o=.h)

all:		$(TARGET)

$(TARGET):	$(OBJS)
	$(CXX) $(LIBFLAGS) -o $@ $(OBJS) $(LDFLAGS)
	ln -sf $(TARGET) $(NAME)
	if [ "$(targetos)" != "MinGW" ]; then \
		ln -sf $(TARGET) $(SONAME) ; \
	fi

depend:	$(SRCS)
	$(CXX) -MM $(CXXFLAGS) $^ 1>.depend

clean:
	$(RM) $(OBJS) $(TARGET) $(NAME) $(SONAME)

distclean:	clean

install:
	$(INSTALL) -d "$(DESTDIR)$(libdir)"
	if [ "$(targetos)" = "MinGW" ]; then \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(prefix) ; \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir)/libmlt++.dll ; \
		$(INSTALL) -m 644 libmlt++.def $(DESTDIR)$(libdir) ; \
	else \
		$(INSTALL) -m 755 $(TARGET) $(DESTDIR)$(libdir) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(SONAME) ; \
		ln -sf $(TARGET) $(DESTDIR)$(libdir)/$(NAME) ; \
	fi
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/mlt++"
	$(INSTALL) -m 644 $(HEADERS) "$(DESTDIR)$(prefix)/include/mlt++"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/$(TARGET)"
	if [ "$(targetos)" != "MinGW" ]; then \
		rm -f "$(DESTDIR)$(libdir)/$(NAME)" ; \
		rm -f "$(DESTDIR)$(libdir)/$(SONAME)" ; \
	fi
	rm -rf "$(DESTDIR)$(prefix)/include/mlt++"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/avformat/Makefile ===
CFLAGS += -I../..
LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

LDFLAGS += -lavformat$(AVFORMAT_SUFFIX)
LDFLAGS += -lavcodec$(AVFORMAT_SUFFIX)
LDFLAGS += -lavutil$(AVFORMAT_SUFFIX)
LDFLAGS += $(EXTRA_LIBS)

ifndef CODECS
TARGET = ../libmltffmpeg$(LIBSUF)
else
TARGET = ../libmltavformat$(LIBSUF)
endif

OBJS = factory.o

ifdef FILTERS
OBJS += filter_avcolour_space.o \
	    filter_avresample.o \
	    filter_avdeinterlace.o
ifdef SWSCALE
OBJS += filter_swscale.o
endif
CFLAGS += -DFILTERS
endif

ifdef VDPAU
CFLAGS += -DVDPAU `pkg-config --cflags x11`
LDFLAGS += $(LIBDL) `pkg-config --libs x11`
endif

ifdef CODECS
OBJS += producer_avformat.o \
	    consumer_avformat.o
CFLAGS += -DCODECS
endif

ifdef SWSCALE
CFLAGS += -DSWSCALE
LDFLAGS += -lswscale$(AVFORMAT_SUFFIX)
endif

ifdef DEVICES
CFLAGS += -DAVDEVICE
LDFLAGS += -lavdevice$(AVFORMAT_SUFFIX)
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
	$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
	rm -f .depend

clean:	
	rm -f $(OBJS) ../libmltffmpeg$(LIBSUF) ../libmltavformat$(LIBSUF)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/avformat"
	install -m 644 producer_avformat.yml "$(DESTDIR)$(datadir)/mlt/avformat"
	install -m 644 consumer_avformat.yml "$(DESTDIR)$(datadir)/mlt/avformat"

uninstall:
	rm "$(DESTDIR)$(libdir)/mlt/libmltavformat$(LIBSUF)" 2> /dev/null || true
	rm "$(DESTDIR)$(libdir)/mlt/libmltffmpeg$(LIBSUF)" 2> /dev/null || true
	rm -rf "$(DESTDIR)$(datadir)/mlt/avformat"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/core/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lm -lpthread

include ../../../config.mak

TARGET = ../libmltcore$(LIBSUF)

OBJS = factory.o \
	   producer_colour.o \
	   producer_consumer.o \
	   producer_hold.o \
	   producer_loader.o \
	   producer_melt.o \
	   producer_noise.o \
	   producer_ppm.o \
	   filter_audiochannels.o \
	   filter_audioconvert.o \
	   filter_audiowave.o \
	   filter_brightness.o \
	   filter_channelcopy.o \
	   filter_crop.o \
	   filter_data_feed.o \
	   filter_data_show.o \
	   filter_fieldorder.o \
	   filter_gamma.o \
	   filter_greyscale.o \
	   filter_imageconvert.o \
	   filter_luma.o \
	   filter_mirror.o \
	   filter_mono.o \
	   filter_obscure.o \
	   filter_panner.o \
	   filter_region.o \
	   filter_rescale.o \
	   filter_resize.o \
	   filter_transition.o \
	   filter_watermark.o \
	   transition_composite.o \
	   transition_luma.o \
	   transition_mix.o \
	   transition_region.o \
	   consumer_multi.o \
	   consumer_null.o

ASM_OBJS = 

SRCS := $(OBJS:.o=.c)

ifeq ($(targetos), MinGW)
CFLAGS += -I../../win32
OBJS += ../../win32/fnmatch.o
SRCS += ../../win32/fnmatch.c
endif

all: 	$(TARGET)

$(TARGET): $(OBJS) $(ASM_OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(ASM_OBJS) $(LDFLAGS)

composite_line_yuv_mmx.o: composite_line_yuv_mmx.S
	$(CC) -o $@ -c composite_line_yuv_mmx.S

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(ASM_OBJS) $(TARGET) 

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 data_fx.properties "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 loader.dict "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 loader.ini "$(DESTDIR)$(datadir)/mlt/core"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/core"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/decklink/Makefile ===
--- 
+++ 
@@ -7,13 +7,21 @@
 TARGET = ../libmltdecklink$(LIBSUF)
 
 OBJS = consumer_decklink.o \
-	producer_decklink.o
+	producer_decklink.o \
+	common.o
 
 ifeq ($(targetos), MinGW)
-OBJS += DeckLinkAPI_i.o
+CFLAGS += -Iwin
+OBJS += win/DeckLinkAPI_i.o
 LDFLAGS += -lole32
 else
-OBJS += DeckLinkAPIDispatch.o
+ifeq ($(targetos), Darwin)
+CFLAGS += -Idarwin
+OBJS += darwin/DeckLinkAPIDispatch.o
+else
+CFLAGS += -Ilinux
+OBJS += linux/DeckLinkAPIDispatch.o
+endif
 endif
 
 SRCS := $(OBJS:.o=.cpp)

=== src/modules/dv/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak

TARGET = ../libmltdv$(LIBSUF)

OBJS = factory.o \
	   producer_libdv.o \
	   consumer_libdv.o

CFLAGS += `pkg-config --cflags libdv`

LDFLAGS += `pkg-config --libs libdv`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/dv"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/dv"

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/modules/feeds/Makefile ===
include ../../../config.mak

all:	

depend:

distclean:

clean:

install:	all
	install -d "$(DESTDIR)$(datadir)/mlt/feeds/PAL"
	install -d "$(DESTDIR)$(datadir)/mlt/feeds/NTSC"
	install -m 644 PAL/*.* "$(DESTDIR)$(datadir)/mlt/feeds/PAL"
	install -m 644 NTSC/*.* "$(DESTDIR)$(datadir)/mlt/feeds/NTSC"

=== src/modules/gtk2/Makefile ===
--- 
+++ 
@@ -11,14 +11,14 @@
 
 ifdef USE_GTK2
 OBJS += consumer_gtk2.o
-CFLAGS += `pkg-config gtk+-2.0 --cflags`
-LDFLAGS += `pkg-config gtk+-2.0 --libs`
+CFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --cflags gtk+-2.0`
+LDFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --libs gtk+-2.0`
 endif
 
 ifdef USE_PIXBUF
 OBJS += producer_pixbuf.o pixops.o filter_rescale.o
-CFLAGS += `pkg-config gdk-pixbuf-2.0 --cflags`
-LDFLAGS += `pkg-config gdk-pixbuf-2.0 --libs`
+CFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --cflags gdk-pixbuf-2.0`
+LDFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --libs gdk-pixbuf-2.0`
 endif
 
 ifdef USE_EXIF
@@ -35,8 +35,8 @@
 ifdef USE_PANGO
 OBJS += producer_pango.o
 OBJS += filter_dynamictext.o
-CFLAGS += `pkg-config pangoft2 --cflags`
-LDFLAGS += `pkg-config pangoft2 --libs`
+CFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --cflags pangoft2`
+LDFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --libs pangoft2`
 ifeq ($(targetos),Darwin)
 LDFLAGS += -liconv
 endif

=== src/modules/jackrack/Makefile ===
--- 
+++ 
@@ -27,11 +27,11 @@
 OBJS += $(GPL_OBJS)
 CFLAGS += -DGPL
 CFLAGS += `pkg-config --cflags libxml-2.0`
-CFLAGS += `pkg-config --cflags glib-2.0`
+CFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --cflags glib-2.0`
 
 LDFLAGS += $(LIBDL)
 LDFLAGS += `pkg-config --libs libxml-2.0`
-LDFLAGS += `pkg-config --libs glib-2.0`
+LDFLAGS += `pkg-config $(PKGCONFIG_PREFIX) --libs glib-2.0`
 LDFLAGS += -lm
 
 YML_FILES = *.yml

=== src/modules/linsys/Makefile ===
CFLAGS += -I../..

LDFLAGS += -L../../framework -lmlt -lpthread

include ../../../config.mak
include config.mak

TARGET = ../libmltlinsys$(LIBSUF)

OBJS = factory.o \
	   consumer_SDIstream.o

ifdef WITH_JPEG
CFLAGS += -DWITH_JPEG
LDFLAGS += -ljpeg
endif

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"
	install -d "$(DESTDIR)$(datadir)/mlt/linsys"
	install -m 644 *.yml "$(DESTDIR)$(datadir)/mlt/linsys"

ifneq ($(wildcard .depend),)
include .depend
endif

=== debian/changelog ===
mlt (0.8.0-4) unstable; urgency=low

  * Add upstream patch 04-cache-memory-leak, which fixes a memory leak when
    using mlt_cache for frames.
  * Add upstream patch 05-ladspa-crash, which fixes a potential LADSPA crash
    on dlclose().

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 01 Sep 2012 13:09:30 +0200

mlt (0.8.0-3) unstable; urgency=low

  * Disable compression from the luma module on mips. The convert process never
    finishes.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jul 2012 13:44:24 +0200

mlt (0.8.0-2) unstable; urgency=low

  * Add patch 01-changed-preset-path, which corrects the path to the changed
    location of the preset files.
    Closes: #681339
  * Add patch 02-allow-file-prefix, which adds the file:// prefix support.
    Closes: #677276
  * Add patch 03-audio-limits-and-crash, which fixes a crash if invalid audio
    bitrates are submitted.
    Closes: #681319

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Jul 2012 20:43:02 +0200

mlt (0.8.0-1) unstable; urgency=low

  * New upstreeam release.
    - Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Jun 2012 19:44:30 +0200

mlt (0.7.8+git20120601-1) unstable; urgency=low

  * New upstream git snapshot.
  * Overwrite false positive hardening-no-fortify-functions lintian warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Jun 2012 19:11:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
 endif
 
+# Do not enable luma compress on mips. The convert process never finishes
+ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "mips"))
+	LUMA_CONFIGURE_OPTS += --luma-compress
+endif
+
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-gpl \
 	--enable-gpl3 \
@@ -16,7 +21,7 @@
 	$(EXTRA_CONFIGURE_OPTS) \
 	--avformat-shared=/usr \
 	--avformat-swscale \
-	--luma-compress \
+	$(LUMA_CONFIGURE_OPTS) \
 	--swig-languages=python \
 	--qimage-libdir=/usr/lib \
 	--disable-rtaudio \

## mlt 0.8.8

=== src/framework/Makefile ===
--- 
+++ 
@@ -18,11 +18,6 @@
 TARGET = $(NAME).$(version)
 SONAME = $(NAME).$(soversion)
 SHFLAGS += -Wl,-soname,$(SONAME)
-	ifeq ($(targetos), FreeBSD)
-		ifdef HAVE_SYS_PARAM_H
-			CFLAGS += -DHAVE_SYS_PARAM_H
-		endif
-	endif
 endif
 
 OBJS = mlt_frame.o \

=== src/melt/Makefile ===
--- 
+++ 
@@ -11,8 +11,10 @@
 SRCS := $(OBJS:.o=.c)
 
 ifeq ($(targetos), MinGW)
+ifeq (, $(findstring MELT_NOSDL, $(CFLAGS)))
 CFLAGS += `sdl-config --cflags`
 LDFLAGS += `sdl-config --libs`
+endif
 bindir = $(prefix)
 endif

=== src/modules/core/Makefile ===
--- 
+++ 
@@ -43,6 +43,12 @@
 	   consumer_multi.o \
 	   consumer_null.o
 
+ifdef SSE2_FLAGS
+ifdef ARCH_X86_64
+OBJS += composite_line_yuv_sse2_simple.o
+endif
+endif
+
 ASM_OBJS = 
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/normalize/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 TARGET = ../libmltnormalize$(LIBSUF)
 
 OBJS = factory.o \
+	   filter_audiolevel.o \
 	   filter_volume.o 
 
 SRCS := $(OBJS:.o=.c)

=== src/modules/qimage/Makefile ===
--- 
+++ 
@@ -9,14 +9,18 @@
 
 OBJS = factory.o producer_qimage.o producer_kdenlivetitle.o
 CPPOBJS = qimage_wrapper.o \
-	kdenlivetitle_wrapper.o \
-	transition_vqm.o
+	kdenlivetitle_wrapper.o
 
-CXXFLAGS += $(CFLAGS) $(QTCXXFLAGS) $(EXIFCXXFLAGS) -Wno-deprecated
+ifdef GPL3
+	CPPOBJS += transition_vqm.o
+	CFLAGS += -DGPL3
+endif
 
-LDFLAGS += $(QTLIBS) $(EXIFLIBS)
+CXXFLAGS += $(CFLAGS) $(QTCXXFLAGS) $(EXIFCXXFLAGS) $(KDECXXFLAGS) -Wno-deprecated
 
-ifdef USE_KDE
+LDFLAGS += $(QTLIBS) $(EXIFLIBS) $(KDELIBS)
+
+ifdef USE_KDE3
 LDFLAGS += -lkio
 endif

=== debian/changelog ===
mlt (0.8.8-2~precise2) precise; urgency=low

  * Backport, enable swfdev

 -- falkTX <falktx@gmail.com>  Sat, 07 Sep 2013 20:56:18 +0100

mlt (0.8.8-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:17:09 +0200

mlt (0.8.8-1) experimental; urgency=low

  * New upstream release.
    - Refresh patch 01-changed-preset-path.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Jan 2013 09:43:56 +0100

mlt (0.8.6-2) experimental; urgency=low

  * Bump compat level to 9.
    - Adjust paths to libdir triplets.
  * Remove unused python-mlt5 lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jan 2013 19:09:02 +0100

mlt (0.8.6-1) experimental; urgency=low

  * New upstream release.
    - Adjust libmlt++3 lintian override.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Nov 2012 13:08:00 +0100

mlt (0.8.2-1) experimental; urgency=low

  * New upstream release.
    - Refresh hunky patch 01-changed-preset-path.
    - Remove merged patch 02-allow-file-prefix.
    - Remove merged patch 03-audio-limits-and-crash.
    - Remove merged patch 04-cache-memory-leak.
    - Remove merged patch 05-ladspa-crash.
  * Completely disable the luma-compress option, it is not recommend by
    upstream.
  * Use wildcards in lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 01 Sep 2012 13:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Fathi Boudra <fabo@debian.org>
 Uploaders: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
  ffmpeg,
  kdelibs5-dev,
  ladspa-sdk,
@@ -23,14 +23,17 @@
  frei0r-plugins-dev,
  swig,
  hardening-wrapper,
- python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+ python-all-dev (>= 2.6.6-3~),
+ libswfdec-0.8-dev
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.mltframework.org
 
 Package: libmlt-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  libmlt5 (= ${binary:Version})
 Description: multimedia framework (development)
@@ -46,6 +49,8 @@
 
 Package: libmlt5
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libmlt-data (>= ${source:Version})
@@ -74,6 +79,8 @@
 
 Package: libmlt-data
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Enhances: libmlt5
 Description: multimedia framework (data)
@@ -89,6 +96,8 @@
 Package: libmlt++-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: libmlt++3 (= ${binary:Version}),
  ${misc:Depends}
 Description: MLT multimedia framework C++ wrapper (development)
@@ -104,6 +113,8 @@
 
 Package: libmlt++3
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libmlt++0.2,
@@ -125,6 +136,8 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmlt5 (= ${binary:Version}),
@@ -142,6 +155,8 @@
 Package: melt
 Section: utils
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmlt-data (>= ${source:Version})
@@ -153,6 +168,8 @@
 Package: python-mlt5
 Architecture: any
 Section: python
+Pre-Depends: dpkg (>= 1.15.6~),
+ ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends}

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 	EXTRA_CONFIGURE_OPTS += --disable-mmx --disable-sse --disable-sse2
 endif
 
-# Do not enable luma compress on mips. The convert process never finishes
-ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), "mips"))
-	LUMA_CONFIGURE_OPTS += --luma-compress
-endif
-
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-gpl \
 	--enable-gpl3 \
@@ -21,11 +16,9 @@
 	$(EXTRA_CONFIGURE_OPTS) \
 	--avformat-shared=/usr \
 	--avformat-swscale \
-	$(LUMA_CONFIGURE_OPTS) \
 	--swig-languages=python \
 	--qimage-libdir=/usr/lib \
-	--disable-rtaudio \
-	--disable-swfdec
+	--disable-rtaudio
 
 PYTHON_DIR := usr/lib/$(shell pyversions -d)/dist-packages
 
@@ -51,3 +44,6 @@
 
 override_dh_python2:
 	dh_python2 --no-guessing-versions
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz
